gnutls_x509_crq_get_challenge_password(3)

NAME
gnutls_x509_crq_get_challenge_password - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_challenge_password(gnutls_x509_crq_t crq, char * pass, size_t * pass_size);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

char * pass
    will hold a (0)-terminated password string

size_t * pass_size
    Initially holds the size of pass .

DESCRIPTION
This function will return the challenge password in the request. The challenge password is intended to be used for requesting a revocation of the certificate.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/